#!/usr/bin/perl -T
use strict;
use warnings;
use Impedance::Model;
use Impedance::IMPCGI qw(:html :cgi);
use CGI qw(:standard :netscape);
&print_header("Elchemea Analytical",-onBlur=>'initiateSelfClosing()');
print center(h1("Add element to model:"));
my @list = Impedance::Device::list_device_types;
unshift @list,'';
print '<center><table border=0 cellspacing=20><tr>';
print '<td width="50px">';
print start_form(-name=>'select');
print hidden(-name=>'mode');
print popup_menu(-values=>[@list],-name=>'type',-onchange=>'select_element(this)');
print end_form();
print '</td>';
print '<td id="elementinfo">';
print '</td>';
end_top_bar();
print '</center>';
print_hidden();

print <<END;

<script language="javascript">

function find_values(e)
{
    document.sofc.type.value = e;
    document.sofc.allow_close.value = 0;
    IMP_open('help_select.cgi',900,750,100,100);
}

function select_element(e)
{
    if (e.value.length == 3)
    {
	opener.add_complex(e.value);
	self.close();
    }
    else
    {
	var str = "&mode="+document.select.mode.value;
	run_ajax('ajax_model.cgi','&action=new_element&type='+e.value+str,set_fields);
    }
}

function set_fields(res)
{
    var id = document.getElementById("elementinfo");
    id.innerHTML = res;
}


function set_model()
{
    var res = document.select.type.value + ": ";
    for (var i=0; i<arguments.length;i++)
    {
	if (i != 0)
	    res += ", ";
	var tag = arguments[i];
	element = document.getElementById('model_'+tag);
	res +=  tag + "=" + element.value;
    }
    try {
	opener.document.sofc.allow_close.value = 1;
    }
    catch(err)
    {
	/* Do nothing in this case */
    }
    opener.add_element(res);
    self.close();
}

</script>

END
    
    print end_html();
exit;

